Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_NamedValue_out Class Reference

The T_out class for NamedValue. More...

`#include <NVList.h>`

Collaboration diagram for CORBA_NamedValue_out:

[legend]
List of all members.

## Public Methods
| CORBA_NamedValue_out (CORBA_NamedValue_ptr &)
| CORBA_NamedValue_out (CORBA_NamedValue_var &)
| CORBA_NamedValue_out (CORBA_NamedValue_out &)
CORBA_NamedValue_out& | operator= (CORBA_NamedValue_out &)
CORBA_NamedValue_out& | operator= (const CORBA_NamedValue_var &)
CORBA_NamedValue_out& | operator= (CORBA_NamedValue_ptr)
| operator CORBA_NamedValue_ptr & ()
CORBA_NamedValue_ptr& | ptr (void)
CORBA_NamedValue_ptr | operator-> (void)
## Private Attributes
CORBA_NamedValue_ptr& | ptr_

## Detailed Description

The T_out class for NamedValue.

As any other pseudo object NamedValue must have a T_out class, the interface an semantics are specified in the CORBA spec. = NOTE We use CORBA_NamedValue_ptr as the _ptr type instead of CORBA::NamedValue_ptr, this is an attempt to reduced the cyclic dependencies in TAO.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_NamedValue_out::CORBA_NamedValue_out ( | CORBA_NamedValue_ptr & p )

ACE_INLINE CORBA_NamedValue_out::CORBA_NamedValue_out ( | CORBA_NamedValue_var & p )

ACE_INLINE CORBA_NamedValue_out::CORBA_NamedValue_out ( | CORBA_NamedValue_out & p )

## Member Function Documentation

ACE_INLINE CORBA_NamedValue_out::operator CORBA_NamedValue_ptr & ( | )

ACE_INLINE CORBA_NamedValue_ptr CORBA_NamedValue_out::operator-> ( | void )

ACE_INLINE CORBA_NamedValue_out & CORBA_NamedValue_out::operator= ( | CORBA_NamedValue_ptr p )

ACE_INLINE CORBA_NamedValue_out & CORBA_NamedValue_out::operator= ( | const CORBA_NamedValue_var & p )

ACE_INLINE CORBA_NamedValue_out & CORBA_NamedValue_out::operator= ( | CORBA_NamedValue_out & p )

ACE_INLINE CORBA_NamedValue_ptr & CORBA_NamedValue_out::ptr ( | void )

## Member Data Documentation

CORBA_NamedValue_ptr & CORBA_NamedValue_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- NVList.h
- NVList.i